# AmazonBackupRoute53HostedZoneParameters Object

## Description

Parameters for the Amazon Backup Route 53 Hosted Zone action.

## Properties

### bucketName

Name of the S3 bucket to which the hosted zone will be backed up.

Type: `string`

Required: Yes

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### exportFormat

Format to use when backing up the hosted zone.

Type: `string`

Valid Values:

* `bind`
* `json`
* `xml`

Required: Yes

### hostedZoneName

Name of the hosted zone to backup. For example, "skeddly.com".

Type: `string`

Required: Yes

### objectKey

Name of the S3 object key where the hosted zone will be backed up. This is effectively the filename.

Type: `string`

Required: Yes

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    "hostedZoneName": "example.com",
    "bucketName": "my-route53-backsup",
    "objectKey": "example.com/$(DATE).json",
    "exportFormat": "json"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonbackuproute53hostedzoneparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
